﻿Type=Class
Version=2.5
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'This module displays a keyboard. Currently it is not clickable, so it only helps finding the correct key on the physical keyboard.
Private Sub Class_Globals
	Private fx As JFX
	Private KeyboardForm As Form
	Private CallingModule As Object
End Sub
Public Sub Initialize (ModuleName As Object)
	CallingModule = ModuleName
	KeyboardForm.Initialize("Keyboard",-1,-1)
	KeyboardForm.WindowTop = 700
	KeyboardForm.WindowLeft = 800
	KeyboardForm.RootPane.LoadLayout("Keyboard.fxml")
	KeyboardForm.Title = "ZX Spectrum Keyboard"
	KeyboardForm.Resizable = False
	KeyboardForm.SetFormStyle("UTILITY")
End Sub
Public Sub Show
	KeyboardForm.Show
End Sub
Public Sub Close
	KeyboardForm.Close
End Sub
Public Sub Keyboard_closed
	'If the calling module has a Keyboard_closed sub, it will be called when the form is closed.
	If SubExists (CallingModule, "Keyboard_closed") Then
		CallSub(CallingModule, "Keyboard_closed")
	End If
End Sub